Bug 813675 - on "-v" rework seems `user list` lost the "Disabled" field
on "-v" rework seems `user list` lost the "Disabled" field
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Tomas Strachota
Og Maciel
: Regression, Triaged, ZStream
Depends On: 812842
Blocks: 827940
  Show dependency treegraph
 
Reported: 2012-04-18 04:08 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
8 users (show)

See Also:
Fixed In Version: katello-cli-0.2.28-1
Doc Type: Bug Fix
Doc Text:
The user list command line printer skipped values that were evaluated as "None", including whether the user was disabled or not. This fix removes skipping "None" values and replaces them with an empty field. The "Disabled" status now displays on the user list.
Story Points: ---
Clone Of: 812842
: 827940 (view as bug list)
Environment:
Last Closed: 2012-12-04 14:44:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-04-18 04:08:31 EDT
+++ This bug was initially created as a clone of Bug #812842 +++

Description of problem:
Recent changes on Katello (with -v option) brought to the fact that "Disabled" field get lost in the user list report.

Version-Release number of selected component (if applicable):
m2crypto-0.21.1.pulp-7.el6.x86_64
qpid-cpp-client-0.12-6.el6.x86_64
katello-glue-foreman-0.2.30-1.git.13.398c73b.el6.noarch
pulp-selinux-server-1.1.2-1.el6.noarch
katello-configure-0.2.18-1.git.17.3e78c40.el6.noarch
katello-repos-testing-0.2.1-1.el6.noarch
candlepin-tomcat6-0.5.27-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
katello-glue-candlepin-0.2.30-1.git.13.398c73b.el6.noarch
katello-0.2.30-1.git.13.398c73b.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-common-0.2.30-1.git.13.398c73b.el6.noarch
katello-selinux-0.2.4-1.git.0.b03a73e.el6.noarch
candlepin-0.5.27-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
qpid-cpp-server-ssl-0.12-6.el6.x86_64
katello-cli-common-0.2.26-1.git.1.ba3df1f.el6.noarch
katello-cli-0.2.26-1.git.1.ba3df1f.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
python-qpid-0.12-1.el6.noarch
katello-certs-tools-1.1.5-1.git.0.f153109.el6.noarch
pulp-common-1.1.2-1.el6.noarch
qpid-cpp-server-0.12-6.el6.x86_64
katello-glue-pulp-0.2.30-1.git.13.398c73b.el6.noarch
pulp-1.1.2-1.el6.noarch
katello-repos-0.2.1-1.el6.noarch
qpid-cpp-client-ssl-0.12-6.el6.x86_64
katello-agent-1.0.3-1.git.0.cccd0b4.el6.noarch


How reproducible:
always

Steps to Reproduce:
1.user list -v
2.
3.
  
Actual results:
there is no "Disabled"

Expected results:
Disabled field with proper values.

Additional info:

Too much automation tests are failing with this same symptoms...
E.g: activation key list (system template id got lost).
Comment 1 Garik Khachikyan 2012-04-18 04:10:09 EDT
confirm:
get the same issue (for System Template ID) in:
---
m2crypto-0.21.1.pulp-7.el6.x86_64
katello-common-0.2.30-1.git.27.89a5f45.el6.noarch
pulp-selinux-server-1.1.2-1.el6.noarch
katello-configure-0.2.18-1.git.17.3e78c40.el6.noarch
katello-repos-testing-0.2.1-1.el6.noarch
candlepin-tomcat6-0.5.27-1.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
mod_wsgi-3.3-3.pulp.el6.x86_64
katello-certs-tools-1.1.5-1.git.0.f153109.el6.noarch
pulp-common-1.1.2-1.el6.noarch
qpid-cpp-server-0.12-6.el6.x86_64
katello-glue-foreman-0.2.30-1.git.27.89a5f45.el6.noarch
katello-0.2.30-1.git.27.89a5f45.el6.noarch
katello-qpid-client-key-pair-1.0-1.noarch
python-qpid-0.12-1.el6.noarch
qpid-cpp-client-0.12-6.el6.x86_64
katello-glue-candlepin-0.2.30-1.git.27.89a5f45.el6.noarch
katello-selinux-0.2.4-1.git.0.b03a73e.el6.noarch
candlepin-0.5.27-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
qpid-cpp-server-ssl-0.12-6.el6.x86_64
katello-cli-common-0.2.27-1.git.1.8502a2b.el6.noarch
katello-cli-0.2.27-1.git.1.8502a2b.el6.noarch
python-oauth2-1.5.170-2.pulp.el6.noarch
katello-glue-pulp-0.2.30-1.git.27.89a5f45.el6.noarch
pulp-1.1.2-1.el6.noarch
katello-repos-0.2.1-1.el6.noarch
qpid-cpp-client-ssl-0.12-6.el6.x86_64
katello-agent-1.0.3-1.git.0.cccd0b4.el6.noarch
katello-cli-tests-0.2.11-1.git.0.23835ef.el6.noarch
---
Comment 2 Tomas Strachota 2012-04-18 07:40:05 EDT
Fixed in katello-cli-0.2.28-1
This bug doesn't affect CFSE 1.0

Relevant katello commits:
10d510e5608c9437855486279de8c3a0ea6883d9
6d51c35e6f41966ce599e4888c0e637d3c21a839
Comment 5 Garik Khachikyan 2012-05-22 11:12:29 EDT
Tomas,

I would rather not close it but wait until the branch (or how it goes) for 1.1 will be open and then we can put it to the proper state( with proper cherry-pick hash or so).

Closing the bug will lose the track control over it. I would not do it :)
Comment 10 Og Maciel 2012-09-28 18:18:33 EDT
# katello -u admin -p admin user list -v
---------------------------------------------------------------------------------------------------------------
                                                  User List
---------------------------------------------------------------------------------------------------------------

Id:                   1
Username:             admin
Email:                root@localhost
Disabled:             False
Default Organization: None
Default Environment:  None


Id:                   3
Username:             Mané
Email:                mane@somecorp.com
Disabled:             False
Default Organization: None
Default Environment:  None


Id:                   4
Username:             lenovo_admin
Email:                lenovo_admin@somecorp.com
Disabled:             False
Default Organization: None
Default Environment:  None


Id:                   5
Username:             lenovo_user
Email:                lenovo_user@somecorp.com
Disabled:             False
Default Organization: None
Default Environment:  None


Id:                   6
Username:             french_user
Email:                french_user@somecorp.com
Disabled:             False
Default Organization: Lenovo
Default Environment:  Release


Id:                   10
Username:             korean_user
Email:                korean_user@somecorp.com
Disabled:             False
Default Organization: Starbucks
Default Environment:  Venti


Id:                   7
Username:             brazilian_user
Email:                brazilian_user@somecorp.com
Disabled:             False
Default Organization: Lenovo
Default Environment:  Development


Id:                   8
Username:             japanese_user
Email:                japanese_user@somecorp.com
Disabled:             False
Default Organization: Lenovo
Default Environment:  Development


Id:                   9
Username:             starbucks_admin
Email:                starbucks_admin@somecorp.com
Disabled:             False
Default Organization: None
Default Environment:  None


Id:                   11
Username:             chinese_user1
Email:                chinese_user1@somecorp.com
Disabled:             False
Default Organization: Starbucks
Default Environment:  Demi


Id:                   12
Username:             chinese_user2
Email:                chinese_user2@somecorp.com
Disabled:             False
Default Organization: Starbucks
Default Environment:  Grande


Id:                   13
Username:             配管工
Email:                omaciel@ogmaciel.com
Disabled:             False
Default Organization: None
Default Environment:  None
Comment 11 Og Maciel 2012-09-28 18:18:58 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-9.el6cf.noarch
* katello-all-1.1.12-9.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-5.el6cf.noarch
* katello-cli-common-1.1.8-5.el6cf.noarch
* katello-common-1.1.12-9.el6cf.noarch
* katello-configure-1.1.9-4.el6cf.noarch
* katello-glue-candlepin-1.1.12-9.el6cf.noarch
* katello-glue-pulp-1.1.12-9.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 13 errata-xmlrpc 2012-12-04 14:44:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.